Debian Bug report logs - #702242
ITP: libpfm4 -- Library to program the performance monitoring events

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Vincent Danjean <vdanjean@debian.org>

Date: Mon, 4 Mar 2013 12:36:01 UTC

Owned by: Vincent Danjean <vdanjean@debian.org>

Severity: wishlist

Fixed in version libpfm4/4.3.0-1

Done: Vincent Danjean <vdanjean@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#702242; Package wnpp. (Mon, 04 Mar 2013 12:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Danjean <vdanjean@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Mon, 04 Mar 2013 12:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Danjean <vdanjean@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libpfm4 -- Library to program the performance monitoring events
Date: Mon, 04 Mar 2013 13:33:43 +0100
Package: wnpp
Severity: wishlist
Owner: Vincent Danjean <vdanjean@debian.org>

* Package name    : libpfm4
  Version         : 4.3.0
  Upstream Author : Stephane Eranian <eranian@gmail.com>
* URL             : http://perfmon2.sourceforge.net/
* License         : BSD-like (see below)
  Programming Lang: C + python bindings
  Description     : Library to program the performance monitoring events

 Libpfm4 helps convert from an event name, expressed as a string, to
 the event encoding. The encoding can then be used with specific OS
 interfaces. Libpfm4 also provides OS-specific interfaces to directly
 setup OS-specific data structures to be passed to the kernel. The
 current libpfm4, for instance, provides support for the perf_events
 interface which was introduced in Linux v2.6.31.

Note: this package is a dependency of PAPI (see next ITP)
Note2: libpfm3 was in Debian but it is abandonned upstream (and removed in
 wheezy). libpfm4 is a full rewrite (both projects coexisted during a time)

License:
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 of the Software, and to permit persons to whom the Software is furnished to do so,
 subject to the following conditions:
 .
 The above copyright notice and this permission notice shall be included in all
 copies or substantial portions of the Software.
 .
 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
 INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF
 CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE
 OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 06 Mar 2013 19:06:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vincent Danjean <vdanjean@debian.org>:
Bug#702242; Package wnpp. (Wed, 20 Mar 2013 14:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrey Ponomarenko <aponomarenko@rosalab.ru>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vincent Danjean <vdanjean@debian.org>. (Wed, 20 Mar 2013 14:21:04 GMT) Full text and rfc822 format available.

Message #12 received at submit@bugs.debian.org (full text, mbox):

From: Andrey Ponomarenko <aponomarenko@rosalab.ru>
To: Vincent Danjean <vdanjean@debian.org>
Cc: 702242@bugs.debian.org, Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#702242: ITP: libpfm4 -- Library to program the performance monitoring events
Date: Wed, 20 Mar 2013 18:08:50 +0400
Added to upstream tracker for monitoring future API changes: 
http://upstream-tracker.org/versions/libpfm.html

Vincent Danjean wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Vincent Danjean <vdanjean@debian.org>
>
> * Package name    : libpfm4
>    Version         : 4.3.0
>    Upstream Author : Stephane Eranian <eranian@gmail.com>
> * URL             : http://perfmon2.sourceforge.net/
> * License         : BSD-like (see below)
>    Programming Lang: C + python bindings
>    Description     : Library to program the performance monitoring events
>
>   Libpfm4 helps convert from an event name, expressed as a string, to
>   the event encoding. The encoding can then be used with specific OS
>   interfaces. Libpfm4 also provides OS-specific interfaces to directly
>   setup OS-specific data structures to be passed to the kernel. The
>   current libpfm4, for instance, provides support for the perf_events
>   interface which was introduced in Linux v2.6.31.
>
> Note: this package is a dependency of PAPI (see next ITP)
> Note2: libpfm3 was in Debian but it is abandonned upstream (and removed in
>   wheezy). libpfm4 is a full rewrite (both projects coexisted during a time)
>
> License:
>   Permission is hereby granted, free of charge, to any person obtaining a copy
>   of this software and associated documentation files (the "Software"), to deal
>   in the Software without restriction, including without limitation the rights
>   to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
>   of the Software, and to permit persons to whom the Software is furnished to do so,
>   subject to the following conditions:
>   .
>   The above copyright notice and this permission notice shall be included in all
>   copies or substantial portions of the Software.
>   .
>   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
>   INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
>   PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
>   HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF
>   CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE
>   OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
>
>

-- 
Andrey Ponomarenko, ROSA Lab.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vincent Danjean <vdanjean@debian.org>:
Bug#702242; Package wnpp. (Wed, 20 Mar 2013 14:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrey Ponomarenko <aponomarenko@rosalab.ru>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vincent Danjean <vdanjean@debian.org>. (Wed, 20 Mar 2013 14:21:07 GMT) Full text and rfc822 format available.

Reply sent to Vincent Danjean <vdanjean@debian.org>:
You have taken responsibility. (Fri, 12 Apr 2013 23:04:14 GMT) Full text and rfc822 format available.

Notification sent to Vincent Danjean <vdanjean@debian.org>:
Bug acknowledged by developer. (Fri, 12 Apr 2013 23:04:14 GMT) Full text and rfc822 format available.

Message #22 received at 702242-close@bugs.debian.org (full text, mbox):

From: Vincent Danjean <vdanjean@debian.org>
To: 702242-close@bugs.debian.org
Subject: Bug#702242: fixed in libpfm4 4.3.0-1
Date: Fri, 12 Apr 2013 23:00:06 +0000
Source: libpfm4
Source-Version: 4.3.0-1

We believe that the bug you reported is fixed in the latest version of
libpfm4, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 702242@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Vincent Danjean <vdanjean@debian.org> (supplier of updated libpfm4 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 06 Mar 2013 10:27:13 +0100
Source: libpfm4
Binary: libpfm4 libpfm4-dev python-libpfm4 libpfm4-dbg
Architecture: amd64 source
Version: 4.3.0-1
Distribution: unstable
Urgency: low
Maintainer: Vincent Danjean <vdanjean@debian.org>
Changed-By: Vincent Danjean <vdanjean@debian.org>
Closes: 702242
Description: 
 libpfm4-dbg - Debug symbols for the libpfm4 library
 libpfm4-dev - Development files for the libpfm4 library
 libpfm4    - Library to program the performance monitoring events
 python-libpfm4 - Python bindings for libpfm4
Changes: 
 libpfm4 (4.3.0-1) unstable; urgency=low
 .
   * First official upload to Debian (Closes: #702242: ITP: libpfm4 -- Library
     to program the performance monitoring events)
     Expecting FTBFS due to bad symbol file on all but amd64 arch
   * Add libpfm4-dbg package
   * Upgrade Standard-Version
   * Bump Debhelper compat to 9
   * Switch to multi-arch
   * Add a symbol file
   * Add a watch file
   * Fix lots of lintian messages (typos, manpage syntax, etc.)
   * Remove dependency on dpatch as source "3.0 (quilt)" already include a
     support for quilt
   * switch debian/copyright to copyright-format 1.0
     + rework copyright list from upstream git commits history
     + debian packaging was said as GPL-v2 in upstream tarball but, after
       signaling the fact to upstream, they (with all authors agreement) switch
       to the same license as the software itself (see git commit 4875866
       in upstream repo). This package already presents this fact.
   * fix python compilation
   * libpfm4-dev conflicts/replaces the old libpfm3-3.2-dev
Checksums-Sha1: 
 4febc5769e7e7f808b4640a0ff3fc8a1589c6c63 2034 libpfm4_4.3.0-1.dsc
 893779333fff78f94d1e8cc7d1375fbfb0154622 581976 libpfm4_4.3.0.orig.tar.gz
 4aa34c209f07c1cd2724b2b30adbac27a747b99f 6808 libpfm4_4.3.0-1.debian.tar.gz
 9da17c71ee42fd71d08642f205e204e9588cbab2 154718 libpfm4_4.3.0-1_amd64.deb
 18aac5ac9309166ebef22e6bdc5c5f133c352878 247840 libpfm4-dev_4.3.0-1_amd64.deb
 31d4cdd836e21ceae463aadf6d1c92dbf0759864 102398 python-libpfm4_4.3.0-1_amd64.deb
 16feedf9d62c5c4fd6edc66016b583ba645de4af 376060 libpfm4-dbg_4.3.0-1_amd64.deb
Checksums-Sha256: 
 5add0e914ee240b583d2ceec30380612369d89ff4eb0d1eac0fba0321e5afb31 2034 libpfm4_4.3.0-1.dsc
 a23eb9affbff279e13563a39317c0ad71c4de28908d4243c8bc109138430cc3b 581976 libpfm4_4.3.0.orig.tar.gz
 5ae3f878cb135d410a5e8ddd9ee5718ea624d0e4b6798e0cc505ddf08d4921d0 6808 libpfm4_4.3.0-1.debian.tar.gz
 6df1a56d508165f71bea68a939b1c407fbba833055f5acc7cbd4a81f67177701 154718 libpfm4_4.3.0-1_amd64.deb
 6aafe6db434e720028e054b7ba48d036a6fd54f61d37ad68c2ea1be96df7b72e 247840 libpfm4-dev_4.3.0-1_amd64.deb
 04e52719cf0dd354d7e1b556580de0d700b03f88a1a6eded25a9023a549bfdc2 102398 python-libpfm4_4.3.0-1_amd64.deb
 126a3e720ea97a837116369de4bb5d03f03f7da174e15356e4866ab42d703402 376060 libpfm4-dbg_4.3.0-1_amd64.deb
Files: 
 31af2fb6ad90b1f09bbfd3386126e7f1 2034 libs extra libpfm4_4.3.0-1.dsc
 0ab272dbdbb759b852ba8bd06db030ef 581976 libs extra libpfm4_4.3.0.orig.tar.gz
 fe10e91358757c86062d6f942b8bd85b 6808 libs extra libpfm4_4.3.0-1.debian.tar.gz
 5a0c537d5586457ab1b1961efd096458 154718 libs extra libpfm4_4.3.0-1_amd64.deb
 396b8f2139f46879730c6de406a7ae36 247840 libdevel extra libpfm4-dev_4.3.0-1_amd64.deb
 59ceefe9e40e366c633889afb9f7be14 102398 python extra python-libpfm4_4.3.0-1_amd64.deb
 70787466a4b3c97b5c184be73b16ce4a 376060 debug extra libpfm4-dbg_4.3.0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIVAwUBUTcOLdT1zgD6DpudAQgIig//Ro2Nucnc/Up+0wmHftpHsf2S68YgEd9y
bLeMgRpddpMNSkZKsubopkNyV/b7IKTv/dwI5x3uNl9AkRJjvdGGr0yHlIAkeup+
rEUgXwjS11myGa9qnSuYvlxWh5eYMDT3g0CP/GDcBe8vsDApAzz92cRUARpj5T32
Xa5ZcfC1De5EIT/vQdxGf4o8kwGdZ89liURksfLLsI5eeI4uarGv/uqBCVzvAZiF
JcMSKSiegsLSK23JVNuHyswcvLuLMJ+9jmkzyxq6DJU6q9u7J1/FCeAaYmzi3uNW
IHCf+KFIRnDNsz6meTxTifSwB91prh7V5I8j5kQwRUbEHnje9IbkdhNlDTI4YrF+
XWaOQShpOMg8b3lA6YMLotuH57gfeIS/jL+Mn0rDfXrVhJIp5S4MqqhVnjRTWorJ
y8B0KiMsz2w1nfbDqeF6w09NVAZAu4RtK1m+x4dZ7vmD2KFaqAlZimo+tB+P+IFu
DGvmuixCp6QqA22tJr0EmnveMzpP5W0YrD9O2FOfJySKEepDLqfkcmbkIcqL3IV4
lV8bnjMznks6Y3tHQa8eg6aBIIM8fgEZerAKomAdbLHFITyBq+xIlabdfBjMKoUL
IBa0XYwCbPhvGm6/ai2r//UUUigogxYxqBIIc885t+xzszKQx8B4okn6lbasfpse
zIwYamWuI2k=
=8ACS
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 11 May 2013 07:31:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:20:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.